<?php
/**
 * @package db 
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */




class DBWorkHLPruefung extends DBWork
{
  function __construct($pDBTyp = 1, $pNewInstance = false)
  {
    parent::__construct($pDBTyp, $pNewInstance);
    
    $this->select = ' ID, Text, Bearbeiter, BearbDatum, erfasstam, erfasstvon, gewichtung ';
  }
  
  
  function getNewObject()
  {
    
    return new HLPruefung();
  }
  
  
  function getActualRow()
  {
    $tmp = $this->getNewObject();
    $tmp->id = $this->getDatamodulValue('id');
    $tmp->text = $this->getDatamodulValue('text');
    $tmp->bearbeiter = $this->getDatamodulValue('bearbeiter');
    $tmp->bearbdatum = $this->getDatamodulValue('bearbdatum');
    $tmp->erfasstam = $this->getDatamodulValue('erfasstam');
    $tmp->erfasstvon = $this->getDatamodulValue('erfasstvon');
    $tmp->gewichtung = $this->getDatamodulValue('gewichtung');
    return $tmp;
  }
  
  
  function getAllPruefung()
  {
    $sql = "SELECT " . $this->select . " FROM hlpruefung";
    $this->dboperation->clear();
    $this->dboperation->query($sql);
    if ($this->dboperation->rowcount() == 0)
      return false;
    
    return $this->getAllRows();
  }
}
?>